# Asterisk Project : Asterisk 13 ManagerEvent_ChanSpyStop

Created by wikibot on Aug 08, 2014

# ChanSpyStop

### Synopsis

Raised when a channel has stopped spying.

### Description

### Syntax

    Event: ChanSpyStop
    SpyerChannel: <value>
    SpyerChannelState: <value>
    SpyerChannelStateDesc: <value>
    SpyerCallerIDNum: <value>
    SpyerCallerIDName: <value>
    SpyerConnectedLineNum: <value>
    SpyerConnectedLineName: <value>
    SpyerAccountCode: <value>
    SpyerContext: <value>
    SpyerExten: <value>
    SpyerPriority: <value>
    SpyerUniqueid: <value>
    SpyeeChannel: <value>
    SpyeeChannelState: <value>
    SpyeeChannelStateDesc: <value>
    SpyeeCallerIDNum: <value>
    SpyeeCallerIDName: <value>
    SpyeeConnectedLineNum: <value>
    SpyeeConnectedLineName: <value>
    SpyeeAccountCode: <value>
    SpyeeContext: <value>
    SpyeeExten: <value>
    SpyeePriority: <value>
    SpyeeUniqueid: <value>

##### Arguments

- `SpyerChannel`
- `SpyerChannelState` - A numeric code for the channel's current state, related to SpyerChannelStateDesc
- `SpyerChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `SpyerCallerIDNum`
- `SpyerCallerIDName`
- `SpyerConnectedLineNum`
- `SpyerConnectedLineName`
- `SpyerAccountCode`
- `SpyerContext`
- `SpyerExten`
- `SpyerPriority`
- `SpyerUniqueid`
- `SpyeeChannel`
- `SpyeeChannelState` - A numeric code for the channel's current state, related to SpyeeChannelStateDesc
- `SpyeeChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `SpyeeCallerIDNum`
- `SpyeeCallerIDName`
- `SpyeeConnectedLineNum`
- `SpyeeConnectedLineName`
- `SpyeeAccountCode`
- `SpyeeContext`
- `SpyeeExten`
- `SpyeePriority`
- `SpyeeUniqueid`

### Class

CALL

### See Also

- Asterisk 13 Application_ChanSpyStart

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538